# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "oars"
version = "3.0.0"
authors = ["Afnan Enayet <afnan@afnan.io>"]
description = "A library providing construction methods and utility functions for orthogonal arrays and strong orthogonal arrays"
readme = "../docs/readme.md"
keywords = ["math", "orthogonal", "arrays", "monte", "carlo"]
license = "MIT"
repository = "https://github.com/afnanenayet/oars.git"

[[bench]]
name = "bench_bose_construction"
harness = false
required-features = ["parallel"]

[[bench]]
name = "bench_bush_construction"
harness = false
required-features = ["parallel"]
[dependencies.itertools]
version = "0.9"

[dependencies.ndarray]
version = "0.13.1"

[dependencies.num]
version = "0.3"

[dependencies.oars_proc_macro]
version = "0.1.1"

[dependencies.primes]
version = "0.3"

[dependencies.rand]
version = "0.8"

[dependencies.rayon]
version = "1.3"
optional = true

[dependencies.serde]
version = "1.0"
optional = true

[dependencies.serde_derive]
version = "1.0"
optional = true

[dependencies.thiserror]
version = "1.0"
[dev-dependencies.criterion]
version = "0.3"

[features]
default = []
parallel = ["rayon", "ndarray/rayon"]
serialize = ["serde", "serde_derive", "ndarray/serde-1"]
[badges.azure-devops]
pipeline = "afnanenayet.oars"
project = "afnanenayet/oars"

[badges.maintenance]
status = "actively-developed"
